<div class="modal" id="myModal" style="">
  <div class="modal-dialog modal-lg" role="document" id="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">POSTS</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        {{for p in posts:}}

        <div class="mycard">
          <img src="{{=p.full_picture}}" alt="" style="width:100%">
          <p style="padding:20px; font-size:16px">
            {{=p.message_post}}
          </p>

          <div class="card-text">

            <ul class="list-group" style="max-width:200px; margin:auto;">
              <li class="list-group-item d-flex justify-content-between align-items-center">
                Shares
                <span class="badge badge-primary badge-pill"> {{=p.shares_count}} </span>
              </li>
              <li class="list-group-item d-flex justify-content-between align-items-center">
                Comentarios
                <span class="badge badge-primary badge-pill"> {{=len(p.comments)}} </span>
              </li>
              <li class="list-group-item d-flex justify-content-between align-items-center">
                Reacciones
                <span class="badge badge-primary badge-pill"> {{=int(p.reactions_like) + int(p.reactions_love) + int(p.reactions_wow) + int(p.reactions_haha) + int(p.reactions_sad) + int(p.reactions_angry) + int(p.reactions_thankful)}} </span>
              </li>
            </ul>
          </div>
        </div>
        
        {{pass}}
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>


<style>
.mycard{
  border: 1px solid #ddd;
  margin: 10px;
  background-color: #fff;
}
.card-text{
  padding:10px;
}
.modal-body{
  background-color: #f3f3f3;
}
#modal-dialog{
  width:800px;
}

.modal-body {

}
</style>
